Subject: Bird 28 and sign on matrix data

From: Stephen Peters <[email-masked]>
Date: Tue, 05 Sep 1995 11:05:52 -0700

Hello All:

     The question has been asked about the 'proper' way to
treat the sign of the off diagonal elements in the coupling
matrixes defined in IBIS.  As both Eric Bracken and Dileep
Divekar have rightly pointed out, the sign of the off diagonal
element is negative.  However, Bird 28 specifies that the
value should be entered as a positive number.  I did this because
the CAD programs I have delt with output their coupling matrixes this
way.  I have no objection to specifing negative values but I would
like to get the simulator vendor's input.  Is there some technical 
reason that the off diagonal elements NEED to be specfied one way
or the other?  Just asking....

           Regards,
           Stephen Peters

---

From: [email-masked] (Mike Ventham)
Date: Tue, 5 Sep 95 15:22:49 CDT

> or the other?  Just asking....
We typically display off-diagonal capacitances as negative for the
same reasons as the others. When mapping them into a SPICE subcircuit
we do, of course, have to map them into positive as SPICE is not
too hot on negative things.

In the case of IBIS we will treat them as the specification defines them
and polarise them to whatever sign is appropriate for the application.

So the answer is yes and no.

Regards

Mike
+======================================================================+
| Mike Ventham - Vice President Engineering, Quantic Laboratories Inc, |
| 12th Floor, 191 Lombard Ave, Winnipeg, Manitoba, Canada R3B 0X1      |
| Tel: (204) 942 4000 Fax: (204) 957 1158 Email: [email-masked] |
+======================================================================+